Bug 1557971 - Collectd not re-using /var/run directory from overcloud node therefor ovs plugin fails to connect to db.sock of openswitch.
Summary: Collectd not re-using /var/run directory from overcloud node therefor ovs pl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: 1409858 1409860 1543864 1558639
TreeView+ depends on / blocked
 
Reported: 2018-03-19 12:01 UTC by Leonid Natapov
Modified: 2018-06-27 13:49 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.2-0.20180327213843.f25e2d8.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1558639 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:47:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 554612 None master: MERGED tripleo-heat-templates: Add access to /var/run/openvswitch from collectd (I2520a6d25470f144589d957737ae8ac39d3215a2) 2018-03-29 14:59:40 UTC
OpenStack gerrit 556547 None stable/queens: MERGED tripleo-heat-templates: Add access to /var/run/openvswitch from collectd (I2520a6d25470f144589d957737ae8ac39d3215a2) 2018-03-29 14:59:34 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:49:05 UTC

Description Leonid Natapov 2018-03-19 12:01:33 UTC
Collectd not re-using /var/run directory  from overcloud node therefor ovs plugin fails to connect to db.sock of openswitch.



ovs plugin should connect to db.sock file located in the /var/ran/openswitch directory

The provlem is that collectd container doesn't include /var/ran/openswitch

It should re-use it from the overcloude node.

Comment 1 Matthias Runge 2018-03-19 13:07:20 UTC
collectd re-uses files from /var/run/openvswitch.

That is missing here: https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/collectd.yaml#L108

Comment 7 Leonid Natapov 2018-04-01 08:21:28 UTC
openstack-tripleo-heat-templates-8.0.2-0.20180327213843.f25e2d8.el7ost

Verified,

[root@controller-0 heat-admin]# docker exec -it collectd /bin/bash
()[root@controller-0 /]# cd /var/run
()[root@controller-0 run]# cd openvswitch/
()[root@controller-0 openvswitch]# ls -all
total 8
drwxr-xr-x. 2      997 1000 300 Apr  1 08:09 .
drwxr-xr-x. 1 collectd root  37 Apr  1 08:02 ..
srwxr-x---. 1      997 1000   0 Apr  1 08:09 br-ex.mgmt
srwxr-x---. 1      997 1000   0 Apr  1 07:33 br-ex.snoop
srwxr-x---. 1      997 1000   0 Apr  1 08:09 br-int.mgmt
srwxr-x---. 1      997 1000   0 Apr  1 08:09 br-int.snoop
srwxr-x---. 1      997 1000   0 Apr  1 08:09 br-isolated.mgmt
srwxr-x---. 1      997 1000   0 Apr  1 07:33 br-isolated.snoop
srwxr-x---. 1      997 1000   0 Apr  1 08:09 br-tun.mgmt
srwxr-x---. 1      997 1000   0 Apr  1 08:09 br-tun.snoop
srwxr-x---. 1      997 1000   0 Apr  1 07:32 db.sock
srwxr-x---. 1      997 1000   0 Apr  1 07:32 ovsdb-server.879.ctl
-rw-r--r--. 1      997 1000   4 Apr  1 07:32 ovsdb-server.pid
srwxr-x---. 1      997 1000   0 Apr  1 07:32 ovs-vswitchd.1030.ctl
-rw-r--r--. 1      997 1000   5 Apr  1 07:32 ovs-vswitchd.pid

Comment 11 errata-xmlrpc 2018-06-27 13:47:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.